Package: org.codehaus.groovy.reflection

## [Java] Class ClassInfoSet

- org.codehaus.groovy.reflection.ClassInfo.ClassInfoSet

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ClassInfo.ClassInfoSet (ReferenceBundle bundle)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected ClassInfo.ClassInfoSet.Segment` | `createSegment(Object segmentInfo, int cap)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ManagedConcurrentMap` | `getOrPut, segmentFor, segmentFor, remove, get, put, fullSize, values, size, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class AbstractConcurrentMap` | `getOrPut, segmentFor, segmentFor, remove, get, put, fullSize, values, size, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ClassInfo.ClassInfoSet(ReferenceBundle bundle)

  - ### Method Detail

    - #### protected ClassInfo.ClassInfoSet.Segment createSegment(Object segmentInfo, int cap)